List AI Agent Tasks
curl --request GET \
--url https://eu1.api.matillion.com/dpc/v1/ai/agents/tasks \
--header 'Authorization: Bearer <token>'import requests
url = "https://eu1.api.matillion.com/dpc/v1/ai/agents/tasks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://eu1.api.matillion.com/dpc/v1/ai/agents/tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tasks": [
{
"taskId": "550e8400-e29b-41d4-a716-446655440000",
"status": "RUNNING",
"agentName": "data_engineer_agent",
"mode": "ACT",
"description": "Build a pipeline to load sales data",
"createdAt": "2024-01-15T10:30:00.000Z",
"modifiedAt": "2024-01-15T10:35:00.000Z",
"projectId": "550e8400-e29b-41d4-a716-446655440001",
"branchId": "main"
}
],
"page": 0,
"size": 20,
"total": 1
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}AI Agent Tasks
List AI Agent Tasks
Returns a list of AI agent tasks for the account, optionally filtered by project, branch, status, or creation time.
GET
/
v1
/
ai
/
agents
/
tasks
List AI Agent Tasks
Authorizations
a valid bearer token
Query Parameters
Filter results to tasks belonging to this project.
Filter results to tasks belonging to this branch.
Filter results to tasks with the given status.
Available options:
RUNNING, STOPPED, STOPPING, ERRORED Return only tasks created at or after this ISO-8601 timestamp (inclusive).
Return only tasks created at or before this ISO-8601 timestamp (inclusive).
Required range:
x >= 0Required range:
1 <= x <= 100Was this page helpful?
⌘I
